summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Imhof <tantive@gentoo.org>2003-08-01 22:59:37 +0000
committerMichael Imhof <tantive@gentoo.org>2003-08-01 22:59:37 +0000
commit18fe5bebaf58ff83795cbbd2b04940297970d687 (patch)
tree91d83a535e3ea37311251cf513195c7fc42d8772 /net-www/pound/files
parentInitial import. Should close #19207. (diff)
downloadhistorical-18fe5bebaf58ff83795cbbd2b04940297970d687.tar.gz
historical-18fe5bebaf58ff83795cbbd2b04940297970d687.tar.bz2
historical-18fe5bebaf58ff83795cbbd2b04940297970d687.zip
Initial import. Should close #19207.
Diffstat (limited to 'net-www/pound/files')
-rw-r--r--net-www/pound/files/digest-pound-1.41
-rw-r--r--net-www/pound/files/pound.cfg41
-rw-r--r--net-www/pound/files/pound.init24
3 files changed, 66 insertions, 0 deletions
diff --git a/net-www/pound/files/digest-pound-1.4 b/net-www/pound/files/digest-pound-1.4
new file mode 100644
index 000000000000..7b5a36a2d4ae
--- /dev/null
+++ b/net-www/pound/files/digest-pound-1.4
@@ -0,0 +1 @@
+MD5 23a4634b0f9b964ede58f5e49a30ff7e Pound-1.4.tgz 115859
diff --git a/net-www/pound/files/pound.cfg b/net-www/pound/files/pound.cfg
new file mode 100644
index 000000000000..482be9b79162
--- /dev/null
+++ b/net-www/pound/files/pound.cfg
@@ -0,0 +1,41 @@
+## Minimal sample pound.cfg
+##
+## see pound(8) for details
+
+
+######################################################################
+## global options:
+
+User nobody
+Group nobody
+#RootJail /chroot/pound
+
+## allow PUT and DELETE also (by default only GET, POST and HEAD)?:
+ExtendedHTTP 0
+
+WebDAV 0
+
+## Logging: (goes to syslog by default)
+## 0 no logging
+## 1 normal
+## 2 extended
+## 3 Apache-style (common log format)
+LogLevel 1
+
+## check backend every X secs:
+Alive 30
+
+## use hardware-accelleration card supported by openssl(1):
+#SSLEngine <hw>
+
+
+######################################################################
+## listen, redirect and ... to:
+
+## redirect all requests on port 8888 ("ListenHTTP") to the local webserver see "UrlGroup" below):
+ListenHTTP 127.0.0.1,8888
+
+##
+UrlGroup ".*"
+BackEnd 127.0.0.1,80,1
+EndGroup
diff --git a/net-www/pound/files/pound.init b/net-www/pound/files/pound.init
new file mode 100644
index 000000000000..6c45e59d57a2
--- /dev/null
+++ b/net-www/pound/files/pound.init
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-www/pound/files/pound.init,v 1.1 2003/08/01 22:59:20 tantive Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting pound"
+ if [ ! -f "/etc/pound.cfg" ]; then
+ eend 1 "configfile /etc/pound.cfg not found."
+ fi
+ start-stop-daemon --quiet --start --startas /usr/sbin/pound \
+ --pidfile /var/run/pound.pid -- -f /etc/pound.cfg
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping pound"
+ start-stop-daemon --quiet --stop --pidfile /var/run/pound.pid
+ eend $?
+}